## org.apache.naming
Class ResourceEnvRef

    java.lang.Object
      javax.naming.Reference
          org.apache.naming.ResourceEnvRef

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ResourceEnvRef
extends javax.naming.Reference

Represents a reference address to a resource environment.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 23:24:41 +0100 (Sat, 21 Oct 2006) $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DEFAULT_FACTORY` Default factory for this reference.

Fields inherited from class javax.naming.Reference
`addrs, classFactory, classFactoryLocation, className`

Constructor Summary
`ResourceEnvRef(java.lang.String resourceType)` Resource env reference.
`ResourceEnvRef(java.lang.String resourceType, java.lang.String factory, java.lang.String factoryLocation)` Resource env reference.

Method Summary
`java.lang.String` `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

Methods inherited from class javax.naming.Reference
`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

  Default factory for this reference.

  See Also:
    Constant Field Values

Constructor Detail

### ResourceEnvRef

    public ResourceEnvRef(java.lang.String resourceType)

  Resource env reference.

Parameters:
  `resourceType` - Type

### ResourceEnvRef

    public ResourceEnvRef(java.lang.String resourceType,
                          java.lang.String factory,
                          java.lang.String factoryLocation)

  Resource env reference.

Parameters:
  `resourceType` - Type

Method Detail

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Retrieves the class name of the factory of the object to which this reference refers.

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.